import NodeRSA from 'node-rsa'

// 密钥对生成 http://web.chacuo.net/netrsakeypair

const publicKey = '-----BEGIN PUBLIC KEY-----' +
	'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDKrY87M3xYai/20RpI20+TwH46' +
	'oZJOfHHWvJDzzKv4+u+f5GlRrbdt1WST4Ht7lDRCRp/NJAlVRRtier7iIxLopFlV' +
	'O5P4GO5eisqK8K2kKz5QyU+YsPPmyD3EBM7tcjmxtLMRFLubRdlyN/+U++qCL8Hp' +
	'lUes0FsbfapUTIUQvwIDAQAB' +
	'-----END PUBLIC KEY-----'

// 加密
export function RES(txt) {
	const myEncrypt = new NodeRSA(publicKey)
	myEncrypt.setOptions({
		encryptionScheme: 'pkcs1'
	}) // 指定RSA加密协议，pkcs1 或 pkcs1_oaep，默认pkcs1_oaep
	return myEncrypt.encrypt(txt, 'base64') // 指定输出编码类型为base64
}
